Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.eviware.soapui.settings
Enum Setting.SettingType

    java.lang.Object
      java.lang.Enum<Setting.SettingType>
          com.eviware.soapui.settings.Setting.SettingType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Setting.SettingType>

Enclosing class:
  Setting

    public static enum Setting.SettingType

extends java.lang.Enum<Setting.SettingType>

Enum Constant Summary
`BOOLEAN`
`CUSTOM`
`ENUMERATION`
`FILE`
`FILELIST`
`FOLDER`
`INT`
`PASSWORD`
`STRING`
`STRINGLIST`

Method Summary
`static Setting.SettingType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Setting.SettingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOOLEAN

    public static final Setting.SettingType BOOLEAN

### STRING

    public static final Setting.SettingType STRING

### FILE

    public static final Setting.SettingType FILE

### FOLDER

    public static final Setting.SettingType FOLDER

### INT

    public static final Setting.SettingType INT

### ENUMERATION

    public static final Setting.SettingType ENUMERATION

### PASSWORD

    public static final Setting.SettingType PASSWORD

### CUSTOM

    public static final Setting.SettingType CUSTOM

### FILELIST

    public static final Setting.SettingType FILELIST

### STRINGLIST

    public static final Setting.SettingType STRINGLIST

Method Detail

### values

    public static final Setting.SettingType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Setting.SettingType c : Setting.SettingType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Setting.SettingType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.